Bug 1309344 - [RFE] Ability to set overcloud node into maintenance mode
[RFE] Ability to set overcloud node into maintenance mode
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brad P. Crochet
Shai Revivo
: FutureFeature, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 09:28 EST by Ofer Blaut
Modified: 2018-01-24 19:14 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ofer Blaut 2016-02-17 09:28:42 EST
Description of problem:

We should have ability to set a overcloud node into maintenance mode which is required for specific node maintenance like: fix some interfaces / bios update / memory upgrade ......

It should be done via undercloud command.


1. The Node will always be part of the overcloud ( no need to reinstall)
2. Openstack services should not run while node is in maintenance mode
3. If node is a controller it will be take out of the cluster until end of maintenance
4. If node is a compute it will be take out of nova schdular and VMs will be migrated until end of maintenance
5. by end of maintenance mode all previous service will be operational  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 3 Jaromir Coufal 2017-01-15 14:00:07 EST
Is this not possible via Ironic?
Comment 4 Dmitry Tantsur 2017-01-16 10:16:21 EST
Maintenance mode in Ironic only means that certain operations won't touch. The requested command may set maintenance mode in Ironic, but it will also remove the node from OpenStack, which is something Ironic cannot do, of course.
Comment 5 Red Hat Bugzilla Rules Engine 2017-03-10 09:56:35 EST
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Note You need to log in before you can comment on or make changes to this bug.